> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/deployment/stream/preparing-to-deploy-stream.md).

# Preparing to deploy Stream

Download Stream images and collect deployment inputs, including Brain details and Sensor Registration Tokens (SRTs).

## Introduction

For customers who are deploying Stream using an M-Series physical appliance, please follow the quick start guide for you [M-Series appliance](https://docs.vectra.ai/deployment/ndr-physical-appliances/m-series.md). The quick start guide is intended to help customers or partners with the initial networking configuration of your appliance. We will cover [pairing](https://docs.vectra.ai/deployment/stream/pairing-stream-appliances.md) for all Stream deployment types in this guide after the initial deployment steps are completed.

## Downloading Image for Traditional Hypervisors

The Stream image for traditional (not cloud) hypervisors such as VMware, KVM, and Hyper-V is available in your Vectra GUI to download when you have a valid license. Navigate to *Configuration → SETUP → Stream* and click on the link to download the appropriate image for your hypervisor.

* For Proxmox or other KVM-based VMMs that support .ova, use the OVA link.
* For Libvirt or other KVM-based VMMs that don't support .ova, use the QCOW2 link.
* For VMware use the OVA link.
* For Hyper-V use the VHD link.

![](https://4227135129-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FHJ1ltuWFvsArFWtevnRn%2Fuploads%2Fgit-blob-c46a33eb4403cd4bb67bf8f6163c62d70875c60e%2Fpreparing-to-deploy-stream-1.png?alt=media)

{% hint style="info" %}
Please note that as your Vectra Brain is updated, corresponding images for vSensors/Stream are also updated.

* If you ever need to redeploy Stream or deploy another Stream appliance to pair with another Vectra deployment, please always download a fresh copy of the image from an up-to-date Brain to ensure you are working with the latest code.
  {% endhint %}

## IaaS Cloud Deployment

* AWS
  * Stream is available in the [AWS Marketplace](https://aws.amazon.com/marketplace) by searching for **Vectra**.
* Azure
  * Stream is available in the [Azure Marketplace](https://portal.azure.com/#view/Microsoft_Azure_Marketplace/MarketplaceOffersBlade/selectedMenuItemId/home) by searching for **Vectra**.
* GCP
  * Stream is available via a private image share with a template for deployment provided by Vectra.
  * Please work with your account team for access.

## Additional Information to Gather Prior to Deployment

* IP address or hostname of the Vectra Brain that you will be pairing Stream with.
  * This is automatically encoded into the VM image that you downloaded for traditional hypervisor deployment.
* If not using DHCP for the Stream management interface:
  * IP address and subnet mask for the MGT interface of Stream.
  * DNS server addresses.

## Next Steps

The following sections of the document are specific to each individual deployment platform such as: VMware, Hyper-V, KVM, Azure, AWS, GCP, and physical M-Series appliances. Please follow the instructions for the platform you will be using for your Stream deployment.

If you will be deploying in the cloud, a Sensor Registration Token (SRT) must be used to allow a Stream instance to register with the Vectra Brain. When deploying with traditional hypervisors or a physical M-Series appliance, a SRT can be used. Refer to the **Cloud Sensor Registration Token** section below for instructions to generate this Sensor Registration Token.

## Sensor Registration Token (SRT)

* During Stream deployment in IaaS cloud environments, a valid Sensor Registration Token must be presented to the Vectra Brain before Stream will be allowed to Pair. A SRT can also be used to pair any other type of Sensor or Stream (physical or virtual appliances). This token can be created in your Vectra UI. It is valid for 24 hours and can be regenerated at any time.
* Navigate to *Configuration → COVERAGE → Data Sources → Network → Sensors → Sensor Configuration → Sensor Pairing and Registration*.
* Click on the **Generate New Sensor Registration Token** link.

![](https://4227135129-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FHJ1ltuWFvsArFWtevnRn%2Fuploads%2Fgit-blob-ccc0169bc609943d644b0f30435bc1d66a65c9e3%2Fgcp-vsensor-preparation-1.png?alt=media)

* If you have a valid token, you can **Copy** it here using the link.
* Additional details about Sensor Registration Tokens and pairing is covered in [pairing Stream appliances](https://docs.vectra.ai/deployment/stream/pairing-stream-appliances.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.vectra.ai/deployment/stream/preparing-to-deploy-stream.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
